# @sapphirecode/snippeteer

version: 1.5.x

macros for setting up projects or project parts

## Installation

> npm i -g @sapphirecode/snippeteer

## Requirements

installed on the system:

- yarn
- git

## Usage

run `snippeteer` in console and choose a snippet, all necessary parameters will
be asked interactively

### Snippets

#### copyright

add copyright notice to .js, .ts and .mjs files, as well was generating a
license file and adding fields like author and license to the package.json

#### jenkins

create a generic jenkinsfile

#### drone

create a generic .drone.yml for deployment of node projects

necessary scripts in the package.json:

- ci: `yarn --frozen-lockfile && node jenkins.js`
- compile: `tsc` or
  `tsc --allowJs --declaration --emitDeclarationOnly index.js`, ...

compile should be the general compile task, for typescript: tsc, for commonjs:
creating type definitions, ...

#### node

initializes a node project with the standard structure used by sapphirecode
modules

#### readme

create a template readme file

## License

BSD-3-Clause © Timo Hocker <timo@scode.ovh>
